function kfet_open(init_date, init_satus) {
    // VARIABLES
    var kfet_open_bullet = $('#kfet-open');
    var open_status = $('#open_status');
    // bullet
    var open_color = "#73C252";
    var closed_color = "#B42B26";
    var unknown_color = "#ECD03E";
    // status bar
    var open_color_status = "#73C252";
    var closed_color_status = "#B42B26";
    var unknown_color_status = "#D4BE4C";

    var kfet_open_date = init_date;
    var kfet_open = init_status; 

    // INITIALISAITION
    update_open_bullet();
    update_open_status();

    // On recherge toute les 30sec 
    // (dans le cas où le statut deviendrait inconn)
    setInterval(function() {
        update_open_bullet();
        update_open_status();
    }, 30 * 1000); // 60 * 1000 milsec	

    // FONCTIONS
    function nb_min_diff() {
        var date_now = new Date();
        // On calcule le nb de minutes depuis le dernier
        // envoi d'information
        tmp = date_now - kfet_open_date;

        tmp = Math.floor(tmp/1000);             // Nombre de secondes entre les 2 dates
        diff_sec = tmp % 60;                    // Extraction du nombre de secondes

        tmp = Math.floor((tmp-diff_sec)/60);    // Nombre de minutes (partie entière)
        
        return tmp;
    }
    function update_open_bullet() {
        nb_min = nb_min_diff();
        console.log("BULLET | K-Fêt ouverte : " + kfet_open);
        console.log(nb_min + " minute(s) depuis la dernière mise à jour");
        if (nb_min > 15) {
            kfet_open_bullet.css({'background-color': unknown_color});
        } else if (kfet_open){
            kfet_open_bullet.css({'background-color': open_color});
        } else {
            kfet_open_bullet.css({'background-color': closed_color});
        }
    }
    function update_open_status() {
        nb_min = nb_min_diff();
        console.log("STATUS | K-Fêt ouverte : " + kfet_open);
        console.log(nb_min + " minute(s) depuis la dernière mise à jour");
        if (nb_min > 15) {
            open_status.parent().css({'background-color': unknown_color});
            open_status.html("?????");
        } else if (kfet_open){
            open_status.parent().css({'background-color': open_color});
            open_status.html("OUVERTE");
        } else {
            open_status.parent().css({'background-color': closed_color});
            open_status.html("FERMÉE");
        }
    }
    // SYNCHRONIZATION
    websocket_msg_default = {'last_op': 0}

    var websocket_protocol = window.location.protocol == 'https:' ? 'wss' : 'ws';
    var location_host = window.location.host;
    var location_url = window.location.pathname.startsWith('/gestion/') ? location_host + '/gestion' : location_host;
    var socket = new ReconnectingWebSocket(websocket_protocol+"://" + location_url + "/ws/k-fet/is_open/");

    socket.onmessage = function(e) {
        var data = $.extend({}, websocket_msg_default, JSON.parse(e.data));
        console.log("Message reçu de la part de la porte.");

        kfet_open_date = new Date(data['kfet_open_date']);
        kfet_open = data['kfet_open'];

        update_open_bullet();
        update_open_status();
    }
}
